<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:ecl="urn:entsoe.eu:wgedi:codelists" xmlns="http://www.ote-cr.cz/schema/market/capacity" xmlns:sawsdl="http://www.w3.org/ns/sawsdl" xmlns:cimp="http://www.iec.ch/cimprofile" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.ote-cr.cz/schema/market/capacity" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="urn:entsoe.eu:wgedi:codelists" schemaLocation="urn-entsoe-eu-wgedi-codelists.xsd"/>
	<xs:element name="Capacity_OTEMarketDocument" type="Capacity_OTEMarketDocument"/>
	<xs:simpleType name="ID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="xs:string">
			<xs:maxLength value="60"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="ConstraintID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="xs:string">
			<xs:maxLength value="9"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="ESMPVersion_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="xs:string">
			<xs:pattern value="[1-9]([0-9]){0,2}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="MessageKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:MessageTypeList"/>
	</xs:simpleType>
	<xs:simpleType name="ProcessKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:ProcessTypeList"/>
	</xs:simpleType>
	<xs:simpleType name="PartyID_String-base" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="xs:string">
			<xs:maxLength value="16"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:complexType name="PartyID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:simpleContent>
			<xs:extension base="PartyID_String-base">
				<xs:attribute name="codingScheme" type="ecl:CodingSchemeTypeList" use="required"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:simpleType name="MarketRoleKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:RoleTypeList"/>
	</xs:simpleType>
	<xs:simpleType name="ESMP_DateTime" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#DateTime">
		<xs:restriction base="xs:dateTime">
			<xs:pattern value="((([0-9]{4})[\-](0[13578]|1[02])[\-](0[1-9]|[12][0-9]|3[01])|([0-9]{4})[\-]((0[469])|(11))[\-](0[1-9]|[12][0-9]|30))T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9])Z)|(([13579][26][02468][048]|[13579][01345789](0)[48]|[13579][01345789][2468][048]|[02468][048][02468][048]|[02468][1235679](0)[48]|[02468][1235679][2468][048]|[0-9][0-9][13579][26])[\-](02)[\-](0[1-9]|1[0-9]|2[0-9])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9])Z)|(([13579][26][02468][1235679]|[13579][01345789](0)[01235679]|[13579][01345789][2468][1235679]|[02468][048][02468][1235679]|[02468][1235679](0)[01235679]|[02468][1235679][2468][1235679]|[0-9][0-9][13579][01345789])[\-](02)[\-](0[1-9]|1[0-9]|2[0-8])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9])Z)"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AreaID_String-base" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="xs:string">
			<xs:maxLength value="18"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:complexType name="AreaID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:simpleContent>
			<xs:extension base="AreaID_String-base">
				<xs:attribute name="codingScheme" type="ecl:CodingSchemeTypeList" use="required"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:simpleType name="Status_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:StatusTypeList"/>
	</xs:simpleType>
	<xs:complexType name="Action_Status" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Status">
		<xs:sequence>
			<xs:element name="value" type="Status_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Status.value"/>
		</xs:sequence>
	</xs:complexType>
	<xs:simpleType name="YMDHM_DateTime" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#DateTime">
		<xs:restriction base="xs:string">
			<xs:pattern value="((([0-9]{4})[\-](0[13578]|1[02])[\-](0[1-9]|[12][0-9]|3[01])|([0-9]{4})[\-]((0[469])|(11))[\-](0[1-9]|[12][0-9]|30))T(([01][0-9]|2[0-3]):[0-5][0-9])Z)|(([13579][26][02468][048]|[13579][01345789](0)[48]|[13579][01345789][2468][048]|[02468][048][02468][048]|[02468][1235679](0)[48]|[02468][1235679][2468][048]|[0-9][0-9][13579][26])[\-](02)[\-](0[1-9]|1[0-9]|2[0-9])T(([01][0-9]|2[0-3]):[0-5][0-9])Z)|(([13579][26][02468][1235679]|[13579][01345789](0)[01235679]|[13579][01345789][2468][1235679]|[02468][048][02468][1235679]|[02468][1235679](0)[01235679]|[02468][1235679][2468][1235679]|[0-9][0-9][13579][01345789])[\-](02)[\-](0[1-9]|1[0-9]|2[0-8])T(([01][0-9]|2[0-3]):[0-5][0-9])Z)"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:complexType name="ESMP_DateTimeInterval" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#DateTimeInterval">
		<xs:sequence>
			<xs:element name="start" type="YMDHM_DateTime" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#DateTimeInterval.start"/>
			<xs:element name="end" type="YMDHM_DateTime" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#DateTimeInterval.end"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Capacity_OTEMarketDocument" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#MarketDocument">
		<xs:sequence>
			<xs:element name="mRID" type="ID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="revisionNumber" type="ESMPVersion_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Document.revisionNumber"/>
			<xs:element name="type" type="MessageKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Document.type"/>
			<xs:element name="process.processType" type="ProcessKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Process.processType"/>
			<xs:element name="sender_MarketParticipant.mRID" type="PartyID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="sender_MarketParticipant.marketRole.type" type="MarketRoleKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#MarketRole.type"/>
			<xs:element name="receiver_MarketParticipant.mRID" type="PartyID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="receiver_MarketParticipant.marketRole.type" type="MarketRoleKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#MarketRole.type"/>
			<xs:element name="createdDateTime" type="ESMP_DateTime" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Document.createdDateTime"/>
			<xs:element name="docStatus" type="Action_Status" minOccurs="0" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Document.docStatus"/>
			<xs:element name="received_MarketDocument.mRID" type="ID_String" minOccurs="0" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="received_MarketDocument.revisionNumber" type="ESMPVersion_String" minOccurs="0" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Document.revisionNumber"/>
			<xs:element name="period.timeInterval" type="ESMP_DateTimeInterval" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Period.timeInterval"/>
			<xs:element name="domain.mRID" type="AreaID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="CapacityTimeSeries" type="CapacityTimeSeries" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#MarketDocument.TimeSeries"/>
			<xs:element name="FlowBasedTimeSeries" type="FlowBasedTimeSeries" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#MarketDocument.TimeSeries"/>
		</xs:sequence>
	</xs:complexType>
	<xs:simpleType name="Position_Integer" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Integer">
		<xs:restriction base="xs:integer">
			<xs:maxInclusive value="999999"/>
			<xs:minInclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:complexType name="Point">
		<xs:sequence>
			<xs:element name="position" type="Position_Integer"/>
			<xs:element name="Constraint" maxOccurs="unbounded" type="Constraint"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Interval">
		<xs:sequence>
			<xs:element name="position" type="Position_Integer"/>
			<xs:element name="quantity" type="xs:decimal"/>
		</xs:sequence>
	</xs:complexType>
	<xs:simpleType name="ReasonCode_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:ReasonCodeTypeList"/>
	</xs:simpleType>
	<xs:simpleType name="ReasonText_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="xs:string">
			<xs:maxLength value="512"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:complexType name="Reason" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Reason">
		<xs:sequence>
			<xs:element name="code" type="ReasonCode_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Reason.code"/>
			<xs:element name="text" type="ReasonText_String" minOccurs="0" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Reason.text"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Series_FlowBasedPeriod">
		<xs:sequence>
			<xs:element name="timeInterval" type="ESMP_DateTimeInterval"/>
			<xs:element name="resolution" type="xs:duration"/>
			<xs:element name="Point" type="Point" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Series_CapacityPeriod">
		<xs:sequence>
			<xs:element name="timeInterval" type="ESMP_DateTimeInterval"/>
			<xs:element name="resolution" type="xs:duration"/>
			<xs:element name="Interval" type="Interval" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:simpleType name="BusinessKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:BusinessTypeList"/>
	</xs:simpleType>
	<xs:simpleType name="EnergyProductKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:EnergyProductTypeList"/>
	</xs:simpleType>
	<xs:simpleType name="MeasurementUnitKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:UnitOfMeasureTypeList"/>
	</xs:simpleType>
	<xs:simpleType name="Category_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:CategoryTypeList"/>
	</xs:simpleType>
	<xs:simpleType name="CurveType_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="ecl:CurveTypeList"/>
	</xs:simpleType>
	<xs:simpleType name="ResourceID_String-base" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:restriction base="xs:string">
			<xs:maxLength value="60"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:complexType name="ResourceID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#String">
		<xs:simpleContent>
			<xs:extension base="ResourceID_String-base">
				<xs:attribute name="codingScheme" type="ecl:CodingSchemeTypeList" use="required"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="CapacityTimeSeries">
		<xs:sequence>
			<xs:element name="mRID" type="ID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="businessType" type="BusinessKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#TimeSeries.businessType"/>
			<xs:element name="product" type="EnergyProductKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#TimeSeries.product"/>
			<xs:element name="in_Domain.mRID" type="AreaID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="out_Domain.mRID" type="AreaID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="measurement_Unit.name" type="MeasurementUnitKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Unit.name"/>
			<xs:element name="secondary_Measurement_Unit.name" type="MeasurementUnitKind_String" minOccurs="0" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Unit.name"/>
			<xs:element name="auction.mRID" type="ID_String" minOccurs="0" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="auction.category" type="Category_String" minOccurs="0" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Auction.category"/>
			<xs:element name="curveType" type="CurveType_String" minOccurs="0" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#TimeSeries.curveType"/>
			<xs:element name="connectingLine_RegisteredResource.mRID" minOccurs="0" type="ResourceID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="Period" type="Series_CapacityPeriod" maxOccurs="unbounded" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#TimeSeries.Period"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="FlowBasedTimeSeries">
		<xs:sequence>
			<xs:element name="mRID" type="ID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="businessType" type="BusinessKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#TimeSeries.businessType"/>
			<xs:element name="product" type="EnergyProductKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#TimeSeries.product"/>
			<xs:element name="balancingArea.mRID" type="AreaID_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#IdentifiedObject.mRID"/>
			<xs:element name="measurement_Unit.name" type="MeasurementUnitKind_String" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Unit.name"/>
			<xs:element name="Period" type="Series_FlowBasedPeriod" maxOccurs="unbounded" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#TimeSeries.Period"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Hub">
		<xs:sequence>
			<xs:element name="hub.mRID" type="AreaID_String"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="PTDF">
		<xs:sequence>
			<xs:element name="PTDFFactor" type="xs:decimal" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Point.quantity"/>
			<xs:element name="Hub" type="Hub"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="Constraint">
		<xs:sequence>
			<xs:element name="constraint.mRID" type="ConstraintID_String"/>
			<xs:element name="RAM" type="xs:decimal" sawsdl:modelReference="http://iec.ch/TC57/2013/CIM-schema-cim16#Point.quantity"/>
			<xs:element name="PTDF" type="PTDF" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
